package cn.dankal.basiclib.base.fragmentactivity;

import android.content.Context;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.viewpager.widget.ViewPager;
import android.util.AttributeSet;
import android.view.MotionEvent;

/**
 * description: 不可滑动的ViewPager
 *
 * @author vane
 * @since 2018/3/16
 */

public class UnSlidableViewPager extends ViewPager {

    public UnSlidableViewPager(@NonNull Context context) {
        super(context);
    }

    public UnSlidableViewPager(@NonNull Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
    }

    @Override
    public boolean onTouchEvent(MotionEvent arg0) {
        return false;
    }

    @Override
    public boolean onInterceptTouchEvent(MotionEvent arg0) {
        return false;
    }


}
